/*
 * The org.opensourcephysics.display package contains the drawing framework
 * for the book Simulations in Physics.  This framework defines objects that
 * implement the Drawable interface and a DrawingPanel for rendering these objects.
 * Copyright (c) 2005  H. Gould, J. Tobochnik, and W. Christian.
 */
package org.opensourcephysics.display;

import java.awt.event.MouseEvent;
/**
 * InteractiveMouseHandler defines how an object receives notification that
 * a mouse action has occured in an InteractivePanel.
 * @author Wolfgang Christian
 * @author Francisco Equembre
 * @version 1.0
 */
public interface InteractiveMouseHandler {
  public void handleMouseAction(InteractivePanel panel, MouseEvent evt);
}



