/*
 * The org.opensourcephysics.display3d.core package provides the basic
 * interfaces and classes that conform a basic drawing framework for 3D scenes.
 *
 * Subpackages should implement these interfaces using any of the available
 * 3D rendering mechanisms.
 *
 * Copyright (c) 2005  The Open Source Physics project
 *                     http://www.opensourcephysics.org
 */

package org.opensourcephysics.display3d.core;

/**
 * <p>Title: ElementBox</p>
 * <p>Description: A 3D Box</p>
 * @author Francisco Esquembre
 * @version March 2005
 */
public interface ElementBox extends Element {

    /**
     * Whether the box should be closed at its bottom.
     * @param closed the desired value
     */
    public void setClosedBottom (boolean close);

    /**
     * Whether the box is closed at its bottom.
     * @return the value
     */
    public boolean isClosedBottom ();

    /**
     * Whether the box should be closed at its top.
     * @param closed the desired value
     */
    public void setClosedTop (boolean close);

    /**
     * Whether the box is closed at its top.
     * @return the value
     */
    public boolean isClosedTop ();

}













