/*
 * The org.opensourcephysics.display3d.core.interaction package provides the
 * basic interfaces and classes for theinteraction with 3d elements.
 *
 * Copyright (c) 2005  The Open Source Physics project
 *                     http://www.opensourcephysics.org
 */

package org.opensourcephysics.display3d.core.interaction;

/**
 *
 * <p>Title: InteractionListener</p>
 *
 * <p>Description: The interface for an object that can listen
 * to interaction events.</p>
 *
 * <p>Copyright: Open Source Physics project</p>
 *
 * <p>Company: </p>
 *
 * @author Francisco Esquembre
 * @version June 2005
 * @see InteractionEvent
 */
public interface InteractionListener {

    /**
     * The method of a registered listener that will be called when an
     * interaction takes place. Classes implementing this interface
     * need to register to the interaction source using the
     * <code>addInteractionListener</code> method.
     * @param _event InteractionEvent
     */
    void interactionPerformed(InteractionEvent _event);

}

